#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,rez;
    rez=0;
    cin>>n>>x;
    int a[n];
    for(int i = 0; i < n; i++){
        cin>>a[i];
    }
    ///ucitali smo sve
    bool veci=true;
    bool manji=true;
    for(int i = 0; i < n; i++){
        if(a[i]<x){veci=false;}
    }
    for(int i = 0; i < n; i++){
        if(a[i]>x){manji=false;}
    }
    ///proverili malo gluplje slucajeve
    int amax,amin;
    amax=a[0];
    amin=a[0];
    for(int i=1;i<n;i++){
        if(a[i]>amax){amax=a[i];}
    }
    for(int i=1;i<n;i++){
        if(a[i]<amin){amin=a[i];}
    }
    if(veci){
        rez=amax-x;
    }
    else if(manji){
        rez=abs(amin-x);
    }
    ///to je to za sve komsije s iste strane
    ///sada treba ispitati sta se desava kada su komsije s obe strane
    else{
        if(abs(x-amax) <= abs(x-amin)){
            rez = abs(amax+amax-amin-x);
        }
        else{
            rez=abs(amin+amin-amax-x);
        }
    }
    cout<<rez;
}